var getResource = function(key) {
  switch(key) {
    case 'Access Request Administrator':
      return 'ACCESS_REQUEST_ADMIN';
    case 'Auditor':
      return 'AUDITOR';
    case 'Business Roles Administrator':
      return 'BR_ADMIN';
    case 'Data Administrator':
      return 'DATA_ADMIN';
    case 'Fulfillment Administrator':
      return 'FULFILL_ADMIN';
    case 'Global Administrator':
      return 'GLOBAL_ADMIN';
    case 'Governance Insights Administrator':
      return 'GOV_INSIGHTS_ADMIN';
    case 'Report Administrator':
      return 'REPORT_ADMIN';
    case 'Review Administrator':
      return 'REVIEW_ADMIN';
    case 'Security Administrator':
      return 'SECURITY_OFFICER';
    case 'Separation of Duties Administrator':
      return 'SOD_ADMIN';
    case 'Technical Roles Administrator':
      return 'TR_ADMIN';
    default:
      return key;
  }
};

var localize = function(keys, localizer) {
  var resultList = [];
  if (keys !== null && localizer !== null) {
    keys.forEach(function(element) {
      resultList.push(localizer.getString(getResource(element)));
    });
  }
  return resultList.join(', ');
}